package com.jeeplus.modules.sg.managementcenter.reserveManagement.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

public class ScaleDetails extends DataEntity<ScaleDetails> {
    /**
     * 储备项目名称
     * */
    private String projectName;
    /**
     * 储备项目编码
     * */
    private String projectReserveId;
    /**
     * 开关柜
     * */
    private String switchCabinet;
    /**
     * 架空线路
     * */
    private String overheadLines;
    /**
     * 电力电缆
     * */
    private String powerCable;
    /**
     * 10千伏电缆分接箱
     * */
    private String cableBox;
    /**
     * 环网箱/室
     * */
    private String ringCare;
    /**
     * 开关站
     * */
    private String switchYard;
    /**
     * 柱上开关
     * */
    private String postSwitch;
    /**
     * 配电室kva
     * */
    private String distributionKva;
    /**
     * 配电室
     * */
    private String distribution;
    /**
     * 箱变kva
     * */
    private String boxTransformerKva;
    /**
     * 箱变
     * */
    private String boxTransformer;
    /**
     * 配电变压器kva
     * */
    private String disTransformerKva;
    /**
     * 配电变压器
     * */
    private String disTransformer;
    /**
     * 低压线路
     * */
    private String lowVoltageLine;
    /**
     * 低压电缆
     * */
    private String lowVoltageCable;
    /**
     * 低压电缆分接箱
     * */
    private String lowDistributionBox;
    /**
     * 低压配电箱（柜）
     * */
    private String lowBoxCabinet;
    /**
     * 配电自动化终端（DTU）
     * */
    private String distributionTerminal;
    /**
     * 电缆通道
     * */
    private String cableChannel;

    @ExcelField(title="储备项目名称", align=2, sort=1)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @ExcelField(title="储备项目编码", align=2, sort=2)
    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    @ExcelField(title="开关柜", align=2, sort=3)
    public String getSwitchCabinet() {
        return switchCabinet;
    }

    public void setSwitchCabinet(String switchCabinet) {
        this.switchCabinet = switchCabinet;
    }

    @ExcelField(title="架空线路", align=2, sort=4)
    public String getOverheadLines() {
        return overheadLines;
    }

    public void setOverheadLines(String overheadLines) {
        this.overheadLines = overheadLines;
    }

    @ExcelField(title="电力电缆", align=2, sort=5)
    public String getPowerCable() {
        return powerCable;
    }

    public void setPowerCable(String powerCable) {
        this.powerCable = powerCable;
    }

    @ExcelField(title="10千伏电缆分接箱", align=2, sort=6)
    public String getCableBox() {
        return cableBox;
    }

    public void setCableBox(String cableBox) {
        this.cableBox = cableBox;
    }

    @ExcelField(title="环网箱/室", align=2, sort=7)
    public String getRingCare() {
        return ringCare;
    }

    public void setRingCare(String ringCare) {
        this.ringCare = ringCare;
    }

    @ExcelField(title="开关站", align=2, sort=8)
    public String getSwitchYard() {
        return switchYard;
    }

    public void setSwitchYard(String switchYard) {
        this.switchYard = switchYard;
    }

    @ExcelField(title="柱上开关", align=2, sort=9)
    public String getPostSwitch() {
        return postSwitch;
    }

    public void setPostSwitch(String postSwitch) {
        this.postSwitch = postSwitch;
    }

    @ExcelField(title="配电室kva", align=2, sort=10)
    public String getDistributionKva() {
        return distributionKva;
    }

    public void setDistributionKva(String distributionKva) {
        this.distributionKva = distributionKva;
    }

    @ExcelField(title="配电室", align=2, sort=11)
    public String getDistribution() {
        return distribution;
    }

    public void setDistribution(String distribution) {
        this.distribution = distribution;
    }

    @ExcelField(title="箱变kva", align=2, sort=12)
    public String getBoxTransformerKva() {
        return boxTransformerKva;
    }

    public void setBoxTransformerKva(String boxTransformerKva) {
        this.boxTransformerKva = boxTransformerKva;
    }

    @ExcelField(title="箱变", align=2, sort=13)
    public String getBoxTransformer() {
        return boxTransformer;
    }

    public void setBoxTransformer(String boxTransformer) {
        this.boxTransformer = boxTransformer;
    }

    @ExcelField(title="配电变压器kva", align=2, sort=14)
    public String getDisTransformerKva() {
        return disTransformerKva;
    }

    public void setDisTransformerKva(String disTransformerKva) {
        this.disTransformerKva = disTransformerKva;
    }

    @ExcelField(title="配电变压器", align=2, sort=15)
    public String getDisTransformer() {
        return disTransformer;
    }

    public void setDisTransformer(String disTransformer) {
        this.disTransformer = disTransformer;
    }

    @ExcelField(title="低压线路", align=2, sort=16)
    public String getLowVoltageLine() {
        return lowVoltageLine;
    }

    public void setLowVoltageLine(String lowVoltageLine) {
        this.lowVoltageLine = lowVoltageLine;
    }

    @ExcelField(title="低压电缆", align=2, sort=17)
    public String getLowVoltageCable() {
        return lowVoltageCable;
    }

    public void setLowVoltageCable(String lowVoltageCable) {
        this.lowVoltageCable = lowVoltageCable;
    }

    @ExcelField(title="低压电缆分接箱", align=2, sort=18)
    public String getLowDistributionBox() {
        return lowDistributionBox;
    }

    public void setLowDistributionBox(String lowDistributionBox) {
        this.lowDistributionBox = lowDistributionBox;
    }

    @ExcelField(title="低压配电箱（柜）", align=2, sort=19)
    public String getLowBoxCabinet() {
        return lowBoxCabinet;
    }

    public void setLowBoxCabinet(String lowBoxCabinet) {
        this.lowBoxCabinet = lowBoxCabinet;
    }

    @ExcelField(title="配电自动化终端（DTU）", align=2, sort=20)
    public String getDistributionTerminal() {
        return distributionTerminal;
    }

    public void setDistributionTerminal(String distributionTerminal) {
        this.distributionTerminal = distributionTerminal;
    }

    @ExcelField(title="电缆通道", align=2, sort=21)
    public String getCableChannel() {
        return cableChannel;
    }

    public void setCableChannel(String cableChannel) {
        this.cableChannel = cableChannel;
    }
}
